> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Integrations

> Get a list of Integrations



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/integrations
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/integrations:
    get:
      tags:
        - Integrations
      summary: List Integrations
      description: Get a list of Integrations
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  integrations:
                    items:
                      $ref: '#/components/schemas/IntegrationSchema'
                    type: array
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    IntegrationSchema:
      properties:
        base_url:
          description: >-
            Base URL of the API integration. For Google Drive, use root_dir_path
            in client_auth instead.
          example: https://sandbox.plaid.com
          format: url
          nullable: true
          type: string
        client_auth:
          additionalProperties: {}
          description: >-
            Client-specific authentication settings depending on the integration
            type
          type: object
          writeOnly: true
        client_id:
          description: >-
            Client ID for API access (this is encrypted in transit and at-rest
            with a custom key). Required for Plaid integration
          nullable: true
          type: string
        client_secret:
          description: >-
            Client Secret for API access (this is encrypted in transit and
            at-rest with a custom key). Required for Plaid integration
          nullable: true
          type: string
        heron_id:
          readOnly: true
          type: string
        name:
          description: A name for your integration
          example: Plaid Prod
          type: string
        resource:
          description: >-
            For integrations with multiple available resources, the specific
            resource
          enum:
            - transaction
            - assets_report
            - end_user_application
            - invoice_factoring_processing
            - end_user_files
            - funder_decision
          type: string
        type:
          description: The integration type, a specific provider
          type: string
        webhook_url:
          description: URL provided by you to which we'll forward all webhooks (optional)
          example: https://your-server.yourdomain.com/hooks
          format: url
          nullable: true
          type: string
      required:
        - name
        - resource
        - type
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````